Subject: Re: 2.6.23-rc8 dies somewhere during boot!?

From: [email-masked] (Linas Vepstas)
Date: Thu, 27 Sep 2007 17:20:07 -0500

On Thu, Sep 27, 2007 at 11:57:35PM +0200, Gerhard Pircher wrote:
> 
> > Based on your boot messages, it looks like you are failing somewhere in
> > pci probe.  My olde-fashioned, slow, but-usually-works method is to
> > sprinkle enough printk's into the code to catch it in the act.
> I guess the code in arch/powerpc/pci*.c is the right place to sprinkle
> some printk's into the code?

The last identifiable message I was

<7>PCI: Calling quirk...

which is from drivers/pci/quirks.c

...CI: Found 0000:00:07.2 [1106/303...

and this is from pci_setup_device() in drivers/pci/probe.c  So I'd look
to see if pci_setup_device() ever returned, and then I'd look to see
what happened next.

--linas